<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php') ;
class c_page_ajax extends c_page_XML_AJAX
{

    function set_check_personal_to_status_2()
     { //damp_array($_POST,1,-1) ;
       if (_sizeof($_POST['_check']))
       { $arr=array() ;
         foreach($_POST['_check'] as $reffer)
         { list($id,$tkey)=explode('.',$reffer) ;
           $arr[]=$id ;
         }
         $usl_select='clss=211 and enabled=1 and pkey in ('.implode(',',$arr).')' ;
         $cnt=_sizeof($arr) ;
         ?><form class="sky-form no_box_shadow"><div id="panel_buttons"><?
            echo 'Будет направлено на инструктаж <strong>'.$cnt.'</strong> '.get_case_by_count_1_2_5($cnt,'сотрудник,сотрудника,сотрудников').'<br>' ;
            if ($cnt){?><br><button class="button v2" cmd="esmo_magnit_instruction/set_personal_to_status_2" event_id=<?echo $_POST['event_id']?> usl_select="<?echo addslashes($usl_select)?>" update_url="<?echo $_POST['update_url']?>">Направить</button><?}
         ?><button class="button cancel">Отмена</button></div></form><?
         $this->add_element('show_modal_window','HTML',array('title'=>'Уведомление сотрудников')) ;
       } else $this->add_element('show_notife','Не выбрано ни одного сотрудника') ;
     }

    function set_all_personal_to_status_2()
     { //damp_array($_POST,1,-1) ;
       if ($_POST['event_id'])
       { $cnt=execSQL_value('select count(pkey) from obj_site_events_pass where event_id='.$_POST['event_id'].' and status=1') ;
         ?><form class="sky-form no_box_shadow"><div id="panel_buttons"><?
            echo 'Будет направлено на инструктаж <strong>'.$cnt.'</strong> '.get_case_by_count_1_2_5($cnt,'сотрудник,сотрудника,сотрудников').'<br>' ;
            if ($cnt){?><br><button class="button v2" cmd="esmo_magnit_instruction/set_personal_to_status_2" event_id=<?echo $_POST['event_id']?> update_url="<?echo $_POST['update_url']?>">Направить</button><?}
         ?><button class="button cancel">Отмена</button></div></form><?
         $this->add_element('show_modal_window','HTML',array('title'=>'Уведомление сотрудников')) ;
       } else $this->add_element('show_notife','Не выбрано ни одного сотрудника') ;
     }

    /*
    function set_personal_to_status_2()
       {  $rec_event=EVENTS()->get_event_by_id($_POST['event_id']) ;
          //$obj_event=EVENTS()->get_event_obj_by_ext($rec_event['ext']) ;



          // $ids=array() ;
          if ($_POST['usl_select']) $ids=execSQL_line('select pkey from view_personals where '.$_POST['usl_select']) ;
          else                      $ids=execSQL_line('select personal_id from obj_site_events_pass where event_id='.$_POST['event_id'].' and status=1') ;

          if (_sizeof($ids)) foreach($ids as $personal_id)
          {
              $rec_event_to_personal=EVENTS()->get_event_personal_rec($rec_event['pkey'],$personal_id) ;

              $mess_text= $rec_event['_ext_info']['message1'] ;
              if ($rec_event['block_from']) $mess_text.=', срок до '.date('d.m.Y',$rec_event['block_from']) ;
              // отправляем ему сообщение
              $mess_reffer=PERSONAL()->message_personal_create(
                       array('mess_text'=>$mess_text,
                             'group_id'=>MEMBER()->cur_group_id,
                             'account_id'=>MEMBER()->id,
                             'personal_id'=>$personal_id,
                             'view_from'=>$rec_event['alert_from'],
                             'view_to'=>$rec_event['alert_to'],
                             //'max_day'=>$rec_event['_ext_info']['period_to_status_7'],
                             'block_from'=>$rec_event['block_from'],
                             'block_to'=>$rec_event['block_to'],
                             'auto_close'=>$rec_event['block_to'],
                             //'view_mode'=>1, // показывать при прохождении МО
                             //'block_mo'=>$rec_event['_ext_info']['block_mo'], // блокировать прохождение МО если сообщение не будет закрыто
                             'source_pkey'=>$rec_event_to_personal['event_person_id'], // ID персоны в мероприяии
                             'source_tkey'=>$rec_event_to_personal['event_person_tkey'], // ID персоны в мероприяии
                             'source_obj'=>$rec_event['ext'] // объект, которые будет использоваться в эвентах
                             )) ;

               // фиксируем в записи по человеку в событии ID отправленого ему сообщения
               list($mess_id,$mess_pkey)=explode('.',$mess_reffer) ;
               $data=array() ;
               $data['status']=2 ; // 2 = отправлено сообщение
               $data['mess_id']=$mess_id ;
               EVENTS()->set_event_personal_data($rec_event['pkey'],$personal_id,$data,'Отправлено сообшение о необходимости пройти инструктаж') ;


          }
          //$this->update_page=1 ;
          //$this->add_element('show_modal_window','HTML',array('title'=>'Уведомление сотрудников')) ;
       }
    */

    function personal_pass_close()
        {  //PERSONAL()->message_personal_close($_POST['mess_id']) ;
           //$this->add_element('update_page',1) ;
           //$rec_mess=execSQL_van('select * from  view_personals_messages_docs where pkey='.$_POST['mess_id']) ;
           $rec_pass=EVENTS()->get_event_pass_doc_by_id($_POST['pass_id']) ;

           //damp_array($rec_mess) ;
           ?><div class="center">
                  <p>Вы принимаете документ <?echo $rec_pass['mess_doc_name']?> от <strong><?echo $rec_pass['obj_name']?></strong></p><br>
                  <button class="v2" cmd="events_docs/personal_pass_close_apply" pass_id="<?echo $_POST['pass_id']?>">Снять ограничение на прохождение МО</button>&nbsp;&nbsp;&nbsp;&nbsp;
                  <button class="v2" cmd="events_docs/personal_block_mo" pass_id="<?echo $_POST['pass_id']?>">Заблокировать дальнейшее прохождение МО</button>
             </div>
           <?
           $this->add_element('show_modal_window','HTML',array('title'=>'Прием документа','after_close_update_page'=>1,'width'=>'700px')) ;
        }


        function personal_pass_add_10_day()
        {   $rec_pass=EVENTS()->get_event_pass_by_id($_POST['pass_id']) ;
            if ($rec_pass['mess_id']) PERSONAL()->message_personal_add_day($rec_pass['mess_id'],10) ;
            $this->add_element('update_page',1) ;
        }

        function personal_pass_add_day()
        {   $rec_pass=EVENTS()->get_event_pass_doc_by_id($_POST['pass_id']) ;
            //$block_from=($rec_pass['mess_block_from'])? $rec_pass['mess_block_from']:$rec_pass['mess_max_data']  ;
            $block_from=$rec_pass['mess_block_from'] ;
            ?><form><div class="center">
                          <p>Вы продлеваете срок сдачи документа <strong><?echo $rec_pass['mess_doc_name']?></strong> от <strong><?echo $rec_pass['obj_name']?></strong></p>
                          <p>Укажите число дней, на который надо продлить документ<br><input type="text" name="day" class="small" value="10" style="width:50px;font-size:20px;text-align:center;font-weight:bold;"> дней от <strong><?echo date('d.m.Y',$block_from)?></strong></p><br>
                          <button class="v2" cmd="events_docs/personal_pass_add_day_apply" pass_id="<?echo $_POST['pass_id']?>">Применить</button>&nbsp;&nbsp;&nbsp;&nbsp;
                          <button class="cencel">Отмена</button>
                     </div></form><?

            $this->add_element('show_modal_window','HTML',array('title'=>'Увеличение срока возврата документа','after_close_update_page'=>1,'_width'=>'700px')) ;
        }

        function personal_pass_add_day_apply()
        {  $rec_pass=EVENTS()->get_event_pass_by_id($_POST['pass_id']) ;
           if ($rec_pass['mess_id']) PERSONAL()->message_personal_add_day($rec_pass['mess_id'],$_POST['day']) ;
           $this->add_element('update_page',1) ;
        }

        function personal_pass_close_apply()
        {  $rec_pass=EVENTS()->get_event_pass_doc_by_id($_POST['pass_id']) ;
           if ($rec_pass['mess_id']) PERSONAL()->message_personal_close($rec_pass['mess_id']) ;
           $this->add_element('update_page',1) ;
        }

        function personal_block_mo()
        {   $rec_pass=EVENTS()->get_event_pass_doc_by_id($_POST['pass_id']) ;
            if ($rec_pass['mess_id'])
            { $rec_mess=execSQL_van('select * from  view_personals_messages where pkey='.$rec_pass['mess_id']) ;
              // в таблицы персонала ставим флаг блокировки МО
              update_rec_in_table('obj_site_personals',array('mo_block'=>1,
                                                             'mo_block_comment'=>'Запрет прохождения МО после сдачи направления по АГ'
                                                            ),'pkey='.$rec_mess['personal_id']) ;
              // закрываем сообщение - автоматически будет
              PERSONAL()->message_personal_close($rec_pass['mess_id']) ;
            }
            $this->add_element('update_page',1) ;

        }

        function personal_send_message()
        { $rec_pass=EVENTS()->get_event_pass_doc_by_id($_POST['pass_id']) ;
          if (!$rec_pass['mess_id'])
          {  $obj_event=EVENTS()->get_event_obj_by_id($rec_pass['event_id']) ;
             $event_pass_reffer=$obj_event->add_personal_to_event($rec_pass['event_id'],$rec_pass['personal_id'],$rec_pass['doc_id'],2,array('time_now'=>$rec_pass['event_pass_c_data'])) ;
             //$this->add_element('show_modal_window','HTML',array('title'=>'personal_send_message','after_close_update_page'=>1,'_width'=>'700px')) ;
          }
          $this->add_element('update_page',1) ;

        }

}
